Kaoru

Ace3ds update 3ds v4.0.0-7 package 4.0.0-7

  1. Kaoru
    use the files to update your card to work on 3DS v4.0.0-7 and DSi v1.44!